=== debian/changelog ===
deltarpm (3.5+git20130520.7ededff+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #709539)

 -- Mike Miller <mtmiller@ieee.org>  Sun, 02 Jun 2013 11:44:52 -0400
