=== debian/control ===
Source: deltarpm
Section: admin
Priority: optional
Maintainer: Gui Chen <gui.chen@inte.com>
Build-Depends: debhelper (>= 4.0.0), dpatch, cdbs, python-dev, python-support, libbz2-dev, librpm-dev, liblzma-dev
Standards-Version: 3.7.3
Homepage: ftp://ftp.suse.com/pub/projects/deltarpm

Package: deltarpm
Architecture: any
Depends: ${python:Depends}, python-rpm, rpm (>= 4.1.1)
Description: This package contains tools to create and apply deltarpms. A deltarpm contains the difference between an old and a new version of an RPM, which makes it possible to recreate the new RPM from the deltarpm and the old one. You do not need to have a copy of the old RPM, because deltarpms can also work with installed RPMs.
