=== debian/changelog ===
deltarpm (3.6+dfsg-1build4) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:38:55 +0000

deltarpm (3.6+dfsg-1build3) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:35:15 +0000

deltarpm (3.6+dfsg-1build2) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:48 +0000

deltarpm (3.6+dfsg-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:05 +0000

deltarpm (3.6+dfsg-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: Fix get-orig-source to get upstream releases as well
    as git snapshots.
  * Drop patches that have been merged upstream:
    - debian/patches/01_spelling-corrections-in-man-pages.patch
    - debian/patches/02_allow-overriding-python-versions.patch
    - debian/patches/03_fix-linking-of-python-extension.patch

 -- Mike Miller <mtmiller@ieee.org>  Sun, 04 Aug 2013 00:04:18 -0400
