=== debian/control ===
Source: deltarpm
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mike Miller <mtmiller@ieee.org>
Build-Depends: debhelper (>= 9),
 libbz2-dev,
 liblzma-dev,
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 python3-all-dev (>= 3.2),
 zlib1g-dev
Standards-Version: 3.9.4
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
Homepage: http://gitorious.org/deltarpm/deltarpm
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mtmiller-guest/deltarpm.git
Vcs-Git: git://anonscm.debian.org/users/mtmiller-guest/deltarpm.git

Package: deltarpm
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Tools to create and apply deltarpms
 A deltarpm contains the differences between an old and a new version of
 an RPM. This makes it possible to recreate the new RPM from the
 deltarpm and the old RPM.
 .
 On Debian and derived systems these tools may be useful for creating
 and maintaining repositories of RPM packages.

Package: python-deltarpm
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings for deltarpm
 A deltarpm contains the differences between an old and a new version of
 an RPM.
 .
 This package provides the Python bindings for deltarpm, allowing
 Python scripts to read the deltarpm file header.

Package: python3-deltarpm
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python3 bindings for deltarpm
 A deltarpm contains the differences between an old and a new version of
 an RPM.
 .
 This package provides the Python3 bindings for deltarpm, allowing
 Python scripts to read the deltarpm file header.
