## deltarpm 3.6.3%2Bdfsg

=== debian/changelog ===
deltarpm (3.6.3+dfsg-2build5) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:36:21 +0000

deltarpm (3.6.3+dfsg-2build4) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 19:01:42 +0100

deltarpm (3.6.3+dfsg-2build3) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 17:58:46 -0500

deltarpm (3.6.3+dfsg-2build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 06:27:51 +0000

deltarpm (3.6.3+dfsg-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:48:41 +0000

deltarpm (3.6.3+dfsg-2) unstable; urgency=medium

  * Cosmetic: put the first build dependency on a separate line, too.
  * Add an upstream metadata file.
  * Mark my three patches as forwarded upstream.
  * Fix the Last-Update year in the warnings patch header.
  * Add the year 2022 to my debian/* copyright notice.
  * Use black version 22 for the autopkgtest formatting.
  * Add Python 3.10 as supported for the autopkgtest.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Feb 2022 01:45:15 +0200

deltarpm (3.6.3+dfsg-1) unstable; urgency=medium

  * New maintainer; thanks to Mike Miller for his work!
    Closes: #1001612
  * Acknowledge NMU; thanks to the QA team for taking care of this!
  * Update the packaging for conformance with Debian Policy 4.6.0:
    - change the package priority from extra to optional
    - use the HTTPS scheme for the copyright format URL
    - use Files-Excluded instead of the get-orig-source target
    - add Rules-Requires-Root: no to the source control stanza
  * Let py3versions take care of the supported versions.
  * Drop a leftover unused Python 2 reference.
  * Point to the GitHub repo as the upstream site.
  * Update the watch file:
    - switch to format version 4
    - follow the tags in the GitHub repository
    - use the version 4 variables
  * Use the HTTPS scheme for some Debian URLs.
  * Add the typos patch to correct some typographical errors.
  * Add my debian/* copyright notice.
  * Bump the debhelper compat level to 13, no changes.
  * Add a Python testsuite and run it both at build time and as
    an autopkgtest.
  * Drop the version in the python3-dev-all dependency, it is satisfied
    even in oldstable.
  * Add the cppcheck patch to fix some minor C errors.
  * Add the warnings patch to fix some GCC warnings.
  * Activate the full build hardening flags.
  * Build with LFS support if needed.
  * New upstream release:
    - update the typos and warnings patches
    - refresh the line numbers in the 04_omit-rpmdumpheader patch
  * Build with zstd compression support.
  * Update the Debian branch name in the git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Sun, 26 Dec 2021 03:33:05 +0200

deltarpm (3.6+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #943003, #936384

 -- Sandro Tosi <morph@debian.org>  Fri, 20 Dec 2019 16:12:15 -0500

deltarpm (3.6+dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Boyuan Yang ]
  * debian/control: Add explicit build-dependency on dh-python.
    (Closes: #944935)

  [ Mike Miller ]
  * Add DEP-3 headers and refresh all patches.
  * Set maintainer to RPM packaging team, add myself as uploader.
  * Update debian/copyright for 2019.
  * d/control: Update Vcs-* to salsa.debian.org.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Nov 2019 19:59:25 -0500
