=== debian/control ===
Source: deltarpm
Section: admin
Priority: optional
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libbz2-dev,
 liblzma-dev,
 libzstd-dev,
 pkg-config,
 python3-all-dev,
 python3-jinja2 <!nocheck>,
 rpm <!nocheck>,
 rsync <!nocheck>,
 zlib1g-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/rpm-software-management/deltarpm
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/deltarpm
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/deltarpm.git
Rules-Requires-Root: no

Package: deltarpm
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Tools to create and apply deltarpms
 A deltarpm contains the differences between an old and a new version of
 an RPM. This makes it possible to recreate the new RPM from the
 deltarpm and the old RPM.
 .
 On Debian and derived systems these tools may be useful for creating
 and maintaining repositories of RPM packages.

Package: python3-deltarpm
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python3 bindings for deltarpm
 A deltarpm contains the differences between an old and a new version of
 an RPM.
 .
 This package provides the Python3 bindings for deltarpm, allowing
 Python scripts to read the deltarpm file header.
