## deltarpm 3.6.4+dfsg

=== debian/changelog ===
deltarpm (3.6.4+dfsg-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:04:01 +0100

deltarpm (3.6.4+dfsg-1) unstable; urgency=medium

  * Use debhelper compat level 14:
    - use X-DH-Compat
    - let debhelper take care of some default dependencies
  * Minor tweaks to the autopkgtest tool:
    - refresh the Python coding style
    - switch from argparse to click and add python3-click as a dependency
    - minor refactoring
  * Use debputy's X-Style: black.
  * New upstream release:
    - drop the cppcheck, typos, and warnings patches, integrated upstream
    - add the debian-path patch to use the Debian scheme for Python paths

 -- Peter Pentchev <roam@debian.org>  Sun, 01 Sep 2024 15:19:14 +0300

deltarpm (3.6.3+dfsg-3) unstable; urgency=medium

  * Fix the cleanup of native Python libraries for Python versions
    3.10 or later. Closes: #1044231
  * Use dpkg-buildflags to pass the compiler and preprocessor flags.
  * Switch the build dependency from pkg-config to pkgconf.
  * Add the years 2023 and 2024 to my debian/* copyright notice.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Use dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF package metadata.
  * Refresh linter configuration and the Python code style of
    the autopkgtest suite.

 -- Peter Pentchev <roam@debian.org>  Sun, 16 Jun 2024 14:19:38 +0300
