=== debian/changelog ===
deltarpm (3.6.5+dfsg-3) unstable; urgency=medium

  * Declare Standards-Version 4.7.3, drop the implied Priority: optional.
  * Add the year 2026 to my debian/* copyright notice.
  * Convert the watch file to version 5 of the format.
  * Add Multi-Arch: foreign to the deltarpm binary package.
  * Add Salsa CI configuration.
  * Add the python-cppflags patch to harden the Python module build.
  * autopkgtest: use the -D rpmbuild option consistently
  * Minor tweaks to the autopkgtest Python tool's linter checks
    (not invoked during the Debian package build).
  * Add a superficial `debputy reformat` autopkgtest.

 -- Peter Pentchev <roam@debian.org>  Mon, 05 Jan 2026 20:54:29 +0200

deltarpm (3.6.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: force v4 when building rpm

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Nov 2025 19:42:09 +0000

deltarpm (3.6.5+dfsg-1) unstable; urgency=medium

  * Minor changes to the autopkgtest program's own lint tests.
  * Add the year 2025 to my debian/* copyright notice.
  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Mon, 24 Feb 2025 16:17:04 +0200
