=== debian/tests/control ===
Test-Command: env PYTHONPATH="$(pwd)/debian/tests/python" python3 -B -u -m test_drpm -b /usr/bin -d "$(pwd)/debian/tests/data" -v
Depends:
 python3,
 python3-click,
 python3-jinja2,
 rpm,
 rsync,
 @,
Restrictions:
 allow-stderr,
Features:
 test-name=debian-functional,

Test-Command: debputy reformat --no-auto-fix --linter-exit-code
Depends:
 dh-debputy,
 python3-lsprotocol,
Features:
 test-name=debian-debputy,
Restrictions:
 superficial,
