=== debian/watch ===
Version: 5

Source: https://github.com/rpm-software-management/@PACKAGE@/tags
Matching-Pattern: .*/v?@ANY_VERSION@\.tar\.gz
Dversion-Mangle: s/@DEB_EXT@//
Filename-Mangle: s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/
Repack: yes
Repack-Suffix: +dfsg
